<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<project basedir="." default="dist" name="EventBench">
	<property environment="env" />
	<property name="build.location" value="bin" />
	<property name="build.location.eventbenchconsole" value="${build.location}/eventbenchconsole" />
	<property name="build.location.eventbenchcore" value="${build.location}/eventbenchcore" />
	<property name="build.location.javahelperlib" value="${build.location}/javahelperlib" />
	<property name="dist.location" value="dist" />
	<property name="javadoc.location" value="javadoc" />
	<property name="EventBenchConsole.jarname" value="eventbenchconsole.jar" />
	<property name="EventBenchCore.jarname" value="eventbenchcore.jar" />
	<property name="JavaHelperLib.jarname" value="javahelperlib.jar" />
	<property name="EventBenchConsole.location" value="../EventBenchConsole" />
	<property name="JavaHelperLib.location" value="../JavaHelperLib" />
	<property name="EventBenchCore.location" value="../EventBenchCore" />
	<property name="debuglevel" value="source,lines,vars" />
	<property name="target" value="1.6" />
	<property name="source" value="1.6" />
	<path id="JavaHelperLib.classpath">
		<pathelement location="${build.location.javahelperlib}" />
	</path>
	<path id="EventBenchCore.classpath">
		<pathelement location="${build.location.eventbenchcore}" />
		<pathelement location="lib/Jama-1.0.2.jar" />
		<pathelement location="lib/colt-1.2.0.jar" />
		<pathelement location="lib/concurrent-1.3.4.jar" />
		<pathelement location="lib/j3d-core-1.3.1.jar" />
		<pathelement location="lib/jung-3d-2.0.1.jar" />
		<pathelement location="lib/jung-3d-demos-2.0.1.jar" />
		<pathelement location="lib/jung-algorithms-2.0.1.jar" />
		<pathelement location="lib/jung-api-2.0.1.jar" />
		<pathelement location="lib/jung-graph-impl-2.0.1.jar" />
		<pathelement location="lib/jung-io-2.0.1.jar" />
		<pathelement location="lib/jung-jai-2.0.1.jar" />
		<pathelement location="lib/jung-jai-samples-2.0.1.jar" />
		<pathelement location="lib/jung-samples-2.0.1.jar" />
		<pathelement location="lib/jung-visualization-2.0.1.jar" />
		<pathelement location="lib/stax-api-1.0.1.jar" />
		<pathelement location="lib/vecmath-1.3.1.jar" />
		<pathelement location="lib/wstx-asl-3.2.6.jar" />
		<pathelement location="lib/commons-codec-1.5.jar" />
		<pathelement location="lib/collections-generic-4.01.jar" />
		<path refid="JavaHelperLib.classpath" />
	</path>
	<path id="EventBenchConsole.classpath">
		<pathelement location="${build.location.eventbenchconsole}" />
		<pathelement location="lib/collections-generic-4.01.jar" />
		<pathelement location="lib/jdom.jar" />
		<pathelement location="lib/colt-1.2.0.jar" />
		<pathelement location="lib/concurrent-1.3.4.jar" />
		<pathelement location="lib/j3d-core-1.3.1.jar" />
		<pathelement location="lib/jung-3d-2.0.1.jar" />
		<pathelement location="lib/jung-3d-demos-2.0.1.jar" />
		<pathelement location="lib/jung-algorithms-2.0.1.jar" />
		<pathelement location="lib/jung-api-2.0.1.jar" />
		<pathelement location="lib/jung-graph-impl-2.0.1.jar" />
		<pathelement location="lib/jung-io-2.0.1.jar" />
		<pathelement location="lib/jung-jai-2.0.1.jar" />
		<pathelement location="lib/jung-jai-samples-2.0.1.jar" />
		<pathelement location="lib/jung-samples-2.0.1.jar" />
		<pathelement location="lib/jung-visualization-2.0.1.jar" />
		<pathelement location="lib/stax-api-1.0.1.jar" />
		<pathelement location="lib/vecmath-1.3.1.jar" />
		<pathelement location="lib/wstx-asl-3.2.6.jar" />
		<pathelement location="lib/commons-codec-1.5.jar" />
		<pathelement location="lib/org.eclipse.core.commands_3.6.0.I20110111-0800.jar" />
		<pathelement location="lib/org.eclipse.equinox.common_3.6.0.v20110523.jar" />
		<pathelement location="lib/org.eclipse.jface_3.7.0.I20110522-1430.jar" />
		<pathelement location="lib/org.eclipse.osgi_3.7.0.v20110613.jar" />
		<pathelement location="lib/org.eclipse.swt.win32.win32.x86_3.7.0.v3735b.jar" />
		<pathelement location="lib/org.eclipse.ui.forms_3.5.100.v20110425.jar" />
		<pathelement location="lib/org.eclipse.ui.workbench_3.7.0.I20110519-0100.jar" />
		<pathelement location="lib/gui-model-core.jar" />
		<pathelement location="lib/log4j-1.2.16.jar" />
		<pathelement location="lib/jopt-simple-3.3.jar" />
		<path refid="JavaHelperLib.classpath" />
		<path refid="EventBenchCore.classpath" />
	</path>
	<target name="init.build">
		<mkdir dir="bin" />
	</target>
	<target name="init.dist">
		<mkdir dir="dist" />
	</target>
	<target name="clean.build">
		<delete dir="${build.location}" />
	</target>
	<target name="clean.dist">
		<delete dir="${dist.location}" />
	</target>
	<target name="clean.javadoc">
		<delete dir="${javadoc.location}" />
	</target>
	<target depends="clean.build,clean.dist,clean.javadoc" name="clean.all" />
	<target
		depends="build.javahelperlib,build.eventbenchcore,build.eventbenchconsole"
		name="build" />
	<target depends="init.build" name="init.eventbenchconsole">
		<mkdir dir="${build.location.eventbenchconsole}" />
	</target>
	<target depends="init.eventbenchconsole" name="build.eventbenchconsole">
		<javac debug="true" debuglevel="${debuglevel}"
			destdir="${build.location.eventbenchconsole}" source="${source}"
			target="${target}" includeantruntime="false">
			<src path="${EventBenchConsole.location}/src" />
			<classpath refid="EventBenchConsole.classpath" />
		</javac>
	</target>
	<target depends="init.build" name="init.eventbenchcore">
		<mkdir dir="${build.location.eventbenchcore}" />
	</target>
	<target depends="init.eventbenchcore" name="build.eventbenchcore">
		<javac debug="true" debuglevel="${debuglevel}"
			destdir="${build.location.eventbenchcore}" source="${source}" target="${target}"
			includeantruntime="false">
			<src path="${EventBenchCore.location}/src" />
			<classpath refid="EventBenchCore.classpath" />
		</javac>
	</target>
	<target depends="init.build" name="init.javahelperlib">
		<mkdir dir="${build.location.javahelperlib}" />
	</target>
	<target depends="init.javahelperlib" name="build.javahelperlib">
		<javac debug="true" debuglevel="${debuglevel}" destdir="${build.location.javahelperlib}"
			source="${source}" target="${target}" includeantruntime="false">
			<src path="${JavaHelperLib.location}/src" />
			<classpath refid="JavaHelperLib.classpath" />
		</javac>
	</target>
	<target depends="build,init.dist,javadoc" name="dist">
		<pathconvert property="dist.libs" pathsep=" ">
			<mapper>
				<chainedmapper>
					<flattenmapper />
					<globmapper from="*" to="lib/*" />
				</chainedmapper>
			</mapper>
			<path>
				<fileset dir="lib">
					<include name="**/*.jar" />
				</fileset>
			</path>
		</pathconvert>
		<property name="dist.classpath"
			value="${dist.libs} ${JavaHelperLib.jarname} ${EventBenchCore.jarname}"></property>
		<jar destfile="${dist.location}/${EventBenchConsole.jarname}"
			basedir="${build.location.eventbenchconsole}">
			<manifest>
				<attribute name="Built-By" value="${user.name}" />
				<attribute name="Main-Class" value="de.ugoe.cs.eventbench.Runner" />
				<attribute name="Class-Path" value="${dist.classpath}" />
			</manifest>
		</jar>
		<jar destfile="${dist.location}/${EventBenchCore.jarname}"
			basedir="${build.location.eventbenchcore}">
			<manifest>
				<attribute name="Built-By" value="${user.name}" />
			</manifest>
		</jar>
		<jar destfile="${dist.location}/${JavaHelperLib.jarname}" basedir="${build.location.javahelperlib}">
			<manifest>
				<attribute name="Built-By" value="${user.name}" />
				<attribute name="Main-Class" value="de.ugoe.cs.eventbench.Runner" />
				<attribute name="Class-Path" value="${dist.classpath}" />
			</manifest>
		</jar>
		<copy includeemptydirs="false" todir="dist/lib">
			<fileset dir="lib" />
		</copy>
		<copy todir="dist/misc">
			<fileset dir="${EventBenchConsole.location}/misc" />
		</copy>
		<copy todir="dist/rules">
			<fileset dir="${EventBenchConsole.location}/rules" />
		</copy>
	</target>
	<target name="javadoc"
		description="o Create Javadocs for the demo (Requires Javadoc 1.4+)">
		<mkdir dir="${javadoc.location}/javahelperlib" />
		<mkdir dir="${javadoc.location}/eventbenchcore" />
		<mkdir dir="${javadoc.location}/eventbenchconsole" />
		<javadoc destdir="${javadoc.location}/javahelperlib"
			additionalparam="-J-Dorg.apache.commons.attributes.javadoc.CATaglet.sources=${basedir}">
			<classpath refid="JavaHelperLib.classpath" />
			<link href="http://download.oracle.com/javase/6/docs/api/" />
			<fileset dir="${JavaHelperLib.location}/src" includes="**/*.java" />
		</javadoc>
		<javadoc destdir="${javadoc.location}/eventbenchcore"
			additionalparam="-J-Dorg.apache.commons.attributes.javadoc.CATaglet.sources=${basedir}">
			<classpath refid="EventBenchCore.classpath" />
			<link resolveLink="true" href="${javadoc.location}/javahelperlib/" />
			<link href="http://download.oracle.com/javase/6/docs/api/" />
			<fileset dir="${EventBenchCore.location}/src" includes="**/*.java" />
		</javadoc>
		<javadoc destdir="${javadoc.location}/eventbenchconsole"
			additionalparam="-J-Dorg.apache.commons.attributes.javadoc.CATaglet.sources=${basedir}">
			<classpath refid="EventBenchConsole.classpath" />
			<link resolveLink="true" href="${javadoc.location}/javahelperlib/" />
			<link resolveLink="true" href="${javadoc.location}/eventbenchcore/" />
			<link href="http://download.oracle.com/javase/6/docs/api/" />
			<fileset dir="${EventBenchConsole.location}/src" includes="**/*.java" />
		</javadoc>
	</target>
</project>
